# Verify phone

# Verified phones

# Description

You can use this API to verify phone to be an sms source number.

# Endpoint

    POST https://019sms.co.il/api
  

# Parameters

Name Type Description Required
verify_phone object Contains all other elements. ✔️
user object Contains the user element. ✔️
username string The username of the account by which you are recognized in the system ✔️
phone object The phone you want to use as a sms source number (one or more), Must be a legal mobile or landline number. ✔️

# Request Example

json
Copy code
    {
  "verify_phone": {
    "user": {
      "username": "Leeroy"
    },
    "phone": [
      "5xxxxxxxx",
      "3xxxxxxx"
    ]
  }
}

  
xml
Copy code
    <?xml version="1.0" encoding="UTF-8"?>
<verify_phone>
    <user>
        <username>Leeroy</username>
    </user>
    <phone>5xxxxxxxx</phone>
    <phone>3xxxxxxx</phone>
</verify_phone>

  

# Response Example

json
Copy code
    {
  "status": 0,
  "verify_message": "verification link will be send to 5******** in order to complete the verification of 3******* call to 0552458888"
}

  
xml
Copy code
    <?xml version="1.0" encoding="utf-8"?>
<verify_phone>
    <status>0</status>
    <verify_message>
        verification link will be send to 5********
        in order to complete the verification of 3******* call to 0552458888
    </verify_message>
</verify_phone>

  

Note

Full description of the response status and message can be found in here:

# Get verified phones

# Description

You can use this API to receive all verified phones.

# Endpoint

    POST https://019sms.co.il/api
  

# Parameters

Name Type Description Required
getVerifiedPhones object Contains all other elements. ✔️
user object Contains the user element. ✔️
username string The username of the account by which you are recognized in the system ✔️
is_subs int If you want to return the verified numbers of your users put 1, if not, do not put the field.

# Request Example

json
Copy code
    {
  "getVerifiedPhones": {
    "user": {
      "username": "username"
    },
    "is_subs": "1"
  }
}

  
xml
Copy code
    <?xml version="1.0" encoding="UTF-8"?>
<getVerifiedPhones>
    <user>
        <username>username</username>
    </user>
    <is_subs>1</is_subs>
</getVerifiedPhones>

  

# Response Example

json
Copy code
    {
  "status": 0,
  "message": "",
  "verified_phones": [
    {
      "PHONE": "xxxxxxxxxx",
      "USER_ID": "XXXX",
      "ASSIGNMENT_DATE": "03/12/14 12:33",
      "LAST_UPDATE": "03/12/14 12:33"
    },
    {
      "PHONE": " xxxxxxxxxx ",
      "USER_ID": "XXXX",
      "ASSIGNMENT_DATE": "03/12/14 12:33",
      "LAST_UPDATE": "03/12/14 12:33"
    }
  ]
}

  
xml
Copy code
    <?xml version="1.0" encoding="UTF-8"?>
<getVerifiedPhones>
    <status>0</status>
    <message></message>
    <verified_phones>
        <verified_phone>
            <PHONE>xxxxxxxxxx</PHONE>
            <USER_ID>xxx</USER_ID>
            <ASSIGNMENT_DATE>03/12/14 12:33</ASSIGNMENT_DATE>
            <LAST_UPDATE>03/12/14 12:33</LAST_UPDATE>
        </verified_phone>
    </verified_phones>
</getVerifiedPhones>

  

Note

Full description of the response status and message can be found in here:

Last Updated: 8/23/2023, 11:39:26 AM